=== modified file 'src/store_dir.cc'
--- src/store_dir.cc	2012-12-28 01:13:14 +0000
+++ src/store_dir.cc	2013-01-11 08:46:42 +0000
@@ -944,6 +944,12 @@
 void
 StoreHashIndex::init()
 {
+    if (Config.Store.objectsPerBucket == 0) 
+        fatal("'store_objects_per_bucket' should be larger than 0.");
+   
+    if (Config.Store.avgObjectSize == 0)
+        fatal("'store_avg_object_size' should be larger than 0.");
+ 
     /* Calculate size of hash table (maximum currently 64k buckets).  */
     /* this is very bogus, its specific to the any Store maintaining an
      * in-core index, not global */

